AgentProxy (scheduler-portlet 2.1.0-SNAPSHOT API)
Date: 2014-05-05

org.gcube.datatransfer.portlets.user.server

## Class AgentProxy

- java.lang.Object
- - org.gcube.datatransfer.portlets.user.server.AgentProxy

-     public class AgentProxy
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `autoId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentProxy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `createNewTreeSource(String id)`
    `String` | `deleteTreeSource(String id)`
    `FolderDto` | `getLocalAgentSources(String path)`
    `FolderDto` | `getTreeSources(String type)`
    `FolderDto` | `makeFolder(String name)`
    `void` | `printFolder(FolderDto folder, int indent)`
    `void` | `retrieveAgentLibrary(String hostname, String port, String scope)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### autoId

          public int autoId

  - ### Constructor Detail

    - #### AgentProxy

          public AgentProxy()

  - ### Method Detail

    - #### retrieveAgentLibrary

          public void retrieveAgentLibrary(String hostname,
                                  String port,
                                  String scope)

    - #### getLocalAgentSources

          public FolderDto getLocalAgentSources(String path)

    - #### getTreeSources

          public FolderDto getTreeSources(String type)

    - #### createNewTreeSource

          public String createNewTreeSource(String id)

    - #### deleteTreeSource

          public String deleteTreeSource(String id)

    - #### printFolder

          public void printFolder(FolderDto folder,
                         int indent)

    - #### makeFolder

          public FolderDto makeFolder(String name)

Copyright © 2014. All Rights Reserved.